Page MenuHomePhabricator

Help panel: implement support for VisualEditor
Closed, ResolvedPublic

Description

Currently the CTA only loads on &action=edit from source mode.

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterHelp Panel: MobileFrontend integration
mediawiki/extensions/MobileFrontend : masterAdd mw.hook() calls when the editor opens and closes
mediawiki/extensions/GrowthExperiments : masterHelp panel: display the help panel when VisualEditor is opened
mediawiki/extensions/GrowthExperiments : masterHelp panel: Move config vars into a data module

Event Timeline

kostajh created this task.Dec 3 2018, 9:39 PM
MMiller_WMF renamed this task from Implement support for VE and MobileFrontend to Help panel: implement support for VE and MobileFrontend.Dec 3 2018, 10:55 PM

Change 478381 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Help panel: Move config vars into a data module

https://gerrit.wikimedia.org/r/478381

Change 478382 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Help panel: display the help panel when VisualEditor is opened

https://gerrit.wikimedia.org/r/478382

Change 478381 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help panel: Move config vars into a data module

https://gerrit.wikimedia.org/r/478381

Change 478382 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help panel: display the help panel when VisualEditor is opened

https://gerrit.wikimedia.org/r/478382

@Catrope looks good! Moving back to "Ready for development" to implement the MobileFrontend bit. We'll probably need to not output the button server side if in a mobile skin, and construct the button to append to the MobileFrontend overlay like you're doing with the VE in this patch.

Change 479364 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/MobileFrontend@master] Add mw.hook() calls when the editor opens and closes

https://gerrit.wikimedia.org/r/479364

Change 479365 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Help panel: MobileFrontend integration

https://gerrit.wikimedia.org/r/479365

kostajh renamed this task from Help panel: implement support for VE and MobileFrontend to Help panel: implement support for VisualEditor.Dec 13 2018, 7:03 PM

Change 479364 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add mw.hook() calls when the editor opens and closes

https://gerrit.wikimedia.org/r/479364

Etonkovidova closed this task as Resolved.Dec 17 2018, 8:10 PM

Checked in betalabs. Mobile integration will be addressed in T211913: Help Panel: Implement support for MobileFrontend.

Change 479365 abandoned by Catrope:
Help Panel: MobileFrontend integration

Reason:
Superseded by https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/ /480691

https://gerrit.wikimedia.org/r/479365